Subject: Jim Beck Information?

From: "computerclassics2000" <[email-masked]>
Date: Tue, 24 Jan 2012 23:21:54 -0000

I am looking for some (any) information about a prolific game and music programmer named Jim Beck. Jim is the author of several game programs on the Altman Fairware List and my research uncovered the c99 and XB titles listed below that Mr. Beck appears to have contributed to the TI-99 Community between 1987 and 1989. 

Unfortunately, beyond the fact that Jim Beck lived in Edmonton, Alberta at the time he contributed all this software, I cannot find out even what User Group(s) he might have belonged to. Any help would be greatly appreciated.

Thanks!

BillG
01/24/2012

Jim Beck
Edmonton, Alberta 
Canada T6J 0B

01. Airplane
02. Alien Rain
03. Astromine
04. Beam Walker
05. Bomb Blaster
06. Catapult
07. Cavern
08. Crash `Em
09. Froggie
10. High Speed
11. Hyperspace Tunnel
12. Invasion
13. Jungle of the Super Beast
14. Kerbonk
15. Lines
16. Launch Site
17. Lunar Defense
18. Monster Munch
19. Ninja
20. Panic
21. Paratrooper
22. Planet Rescue
23. Rectangles
24. Return to the Dungeons of Krung
25. Robot Rampage
26. Serpent
27. Shuttle
28. Space Chasm
29. Space Outpost
30. Space Station
31. Spelunker
32. Splat!!!
33. Squiggle
34. The Destruction of Krung
35. The Dungeons of Krung
36. The Necromancer
37. The Quest
38. Treasure Quest
39. Triangles
40. UFO Encounter
41. Vicious Circle
42. Visitors Adventure Game
43. Visitors from Space 
44. Crab Canon
45. I'll Wait
46. Minuet in B Flat
47. Minuet in D Minor
48. Musette
49. Theme From Beverly Hills Cop